k3d(1)

NAME
k3d - 3D modeling and animation system

SYNOPSIS
k3d [options]

DESCRIPTION
K-3D is a free (as in freedom) 3D modeling, animation, and rendering system for GNU/Linux and Win32. K-3D features a robust, object-oriented plugin architecture. K-3D is capable of producing motion-picture-quality output when paired with a RenderMan Interface compliant render engine such as Aqsis.

Please visit http://www.k-3d.org for more information.

OPTIONS
--color
    Color-codes log messages based on their priority. Requires an ANSI color-capable terminal.
--exit
    Exits the program (useful after running scripts in batch mode).
-h, --help
    Prints this help information and exits.
--log-level [level]
    Specifies the minimum message priority to log (valid values are "warning", "information", or "debug").
-n, --new
    Creates a new document after startup.
-o, --open [file]
    Opens the given file after startup.
--options [path]
    Overrides the filepath for storing user options (this overrides both defaults and the K3D_OPTIONS_PATH environment variable, below).
--plugins [path]
    Overrides the path(s) for loading plugin libraries (this overrides both defaults and the K3D_PLUGIN_PATHS environment variable, below). Multiple colon-delimited paths are allowed. Use "&" as a synonym for the default paths.
--script [file]
    Play the given script after startup (use - for stdin).
--shadercache [path]
    Overrides the path where compiled shaders will be cached (this overrides both defaults and the K3D_SHADER_CACHE_PATH environment variable, below).
--share [path]
    Overrides the path for loading shared data files (this overrides both defaults and the K3D_SHARE_PATH environment variable, below).
--show-process
    Prints the process name next to log messages.
--show-timestamps
    Prints timestamps next to log messages.
--syslog
    Logs messages to syslog.
--ui [ui path]
    Specifies the path to a user interface plugin (this overrides both the default and the K3D_USER_INTERFACE_PATH environment variable, below). As a special-case the string "none" can be used as a synonym for the Null (no gui) User Interface.
--version
    Prints program version information and exits.

USER INTERFACE OPTIONS
--batch
    Operate in batch (no user intervention) mode.
--no-custom-layouts
    Disable custom user interface layouts (useful when playing-back recorded tutorials, which rely on the default layout).
--no-splash
    Disables the startup splash screen.
--record-tutorials
    Opens the tutorial recorder immediately following startup.
--show-tutorials
    Opens the tutorials menu immediately following startup.
--tutorials [path]
    Overrides the path for loading interactive tutorials (this overrides both defaults and the K3D_TUTORIALS_PATH environment variable, below).

ENVIRONMENT VARIABLES
K3D_OPTIONS_PATH
    Overrides the path for storing user options (this overrides the default, but can be overridden by the --options option, above).
K3D_PLUGIN_PATHS
    Overrides the path(s) for loading plugin libraries (this overrides the default, but can be overridden by the --plugins option, above). Multiple colon-delimited paths are allowed. Use "&" as a synonym for the default paths.
K3D_SHADER_CACHE_PATH
    Overrides the path where compiled shaders are cached (this overrides the default, but can be overridden by the --shadercache option, above).
K3D_SHARE_PATH
    Overrides the path for loading shared data files (this overrides the default, but can be overridden by the --share option, above).
K3D_TUTORIALS_PATH
    Overrides the path for loading interactive tutorials (this overrides the default, but can be overridden by the --tutorials option, above).
K3D_USER_INTERFACE_PATH
    Overrides the path to the user interface plugin (this overrides the default, but can be overridden by the --ui option, above).

AUTHORS
Written by Timothy M. Shead <tshead@k-3d.com>, and many others.

REPORTING BUGS
Report bugs to <k3d-development@lists.sourceforge.net>

COPYRIGHT
Copyright (c) 1995-2006, Timothy M. Shead
This software is licensed under the GNU General Public License; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for K-3D is maintained as an online wiki at http://www.k-3d.org/wiki